{% from "docker/map.jinja" import client with context %}
{%- if client.get('enabled', False) and client.images is defined %}

docker_client:
  pkg.installed:
    - names: {{ client.pkgs }}

{%- for image in client.get('images', []) %}
{{ image }}_image:
  {%- if grains['saltversioninfo'] >= [2017, 7, 0] %}
  docker_image.present:
  {%- else %}
  dockerng.image_present:
  {%- endif %}
    - name: {{ image }}
    - force: True
    {%- if grains.get('noservices') %}
    - onlyif: /bin/false
    {%- endif %}
    - require:
      - pkg: docker_client
    - retry:
        attempts: 5
        until: True
        interval: 5
{%- endfor %}

{%- endif %}
